<!--
proj.xsl - XSLT style-sheet for generating a project web page
Copyright (C) 2002 Michael B. Allen

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"
	encoding="ISO-8859-1"
	doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>

<xsl:variable name="title-font-color">#006666</xsl:variable>

<xsl:template match="/">
	<xsl:apply-templates select="proj"/>
</xsl:template>

<xsl:template match="proj">
	<html>
	<head>
	<title><xsl:value-of select="title"/></title>
	</head>
	<body bgcolor="#f5f5f5">
	<b><font color="{$title-font-color}" size="+3">
		<xsl:value-of select="title"/>
	</font></b><br/>
	<xsl:copy-of select="short"/>
	<p>
		<xsl:copy-of select="desc"/>
	</p>
	<table><tr><td valign="top" width="250">
		<xsl:apply-templates select="links"/>
	</td><td valign="top">
		<xsl:apply-templates select="news"/>
	</td></tr></table>
	<hr noshade="noshade"/>
	Michael B. Allen &lt;mballen@erols.com&gt;<br/>
	DO NOT FORGET TO SUBSTITUTE THE DATE HERE
	</body>
	</html>
</xsl:template>

<xsl:template match="links">
	<h2><font color="{$title-font-color}">Links</font></h2>
	<xsl:for-each select="a">
		<xsl:copy-of select="."/><br/>
	</xsl:for-each>
	<xsl:for-each select="group">
		<br/>
		<b><font color="{$title-font-color}"><xsl:value-of select="title"/></font></b><br/>
		<xsl:for-each select="a">
			<xsl:copy-of select="."/><br/>
		</xsl:for-each>
	</xsl:for-each>
</xsl:template>

<xsl:template match="news">
	<h2><font color="{$title-font-color}">News</font></h2>
	<xsl:for-each select="entry">
		<b><font color="{$title-font-color}" size="+1">
			<xsl:apply-templates select="title"/>
		</font></b><br/>
		<small><xsl:value-of select="sub"/></small><br/>
		<xsl:copy-of select="desc"/><br/>
		<br/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="br|p|a|i|tt|pre">
	<xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>
